package com.kiisoo.ic.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kiisoo.ic.system.bean.PrivilageRoleAccountBean;
import com.kiisoo.ic.system.entity.PrivilageRoleDO;

import java.util.List;

/**
 * 角色表  服务类
 * @author jinchaofan
 * @since 2020-02-19
 */
public interface PrivilageRoleService extends IService<PrivilageRoleDO> {

    /**
     * 添加角色
     * @param roleName 角色名
     * @return 是否成功
     */
    boolean addRole(String roleName);

    /**
     * 删除角色
     * @param roleId 角色id
     * @return 是否成功
     */
    boolean removeRole(Long roleId);

    /**
     * 查询角色信息
     * @return 角色集合
     */
    List<PrivilageRoleDO> listRoleInfo();

    /**
     * 修改角色名称
     * @param roleId 角色id
     * @param roleName 角色名称
     * @return 是否成功
     */
    boolean modifyRole(Long roleId,String roleName);

    /**
     * 查询角色信息并且查询角色下的账户个数
     * @return 角色信息和用户个数
     */
    List<PrivilageRoleAccountBean> listOfRoleAndAccountCount();

}
